<?php

use function DI\autowire, DI\create, DI\get;

use Psr\Http\Message\ServerRequestInterface;

use Zend\Diactoros\ServerRequestFactory;
use Zend\HttpHandlerRunner\Emitter\EmitterInterface,
    Zend\HttpHandlerRunner\Emitter\SapiEmitter;

return [
    ServerRequestInterface::class => function ($c) {
        return ServerRequestFactory::fromGlobals(
            $_SERVER, $_GET, $_POST, $_COOKIE, $_FILES
        );
    },

    EmitterInterface::class => create(SapiEmitter::class),
];
