<?php

return [
    'lean' => [
        'autoload' => [
            'lean.default',
            getenv('DEBUG') ? 'lean.console' : null,
            '%APPKEY%',
        ],
    ],

    'keys' => (function() {
        foreach(explode(',', getenv('KEYS') ?? "") as $item) {
            list($var, $value) = explode(":", trim($item));
            $list[$var] = $value;
        }

        return $list;
    })(),

    'meta' => [
        'application_name' => "",
    ],

    'ulmus' => [
        'connections' => [
            'default' => [
                'adapter'  => getenv("DATABASE_ADAPTER"),
                'host'     => getenv("DATABASE_HOST"),
                'port'     => getenv("DATABASE_PORT"),
                'database' => getenv("DATABASE_NAME"),
                'username' => getenv("DATABASE_USERNAME"),
                'password' => getenv("DATABASE_PASSWORD"),
                'settings' => [
                    'charset' => getenv("DATABASE_CHARSET"),
                ],
            ],
        ]
    ]
];
